image: lganee/fatapache:1.1.11

variables:
  COMPOSER_ALLOW_SUPERUSER: "1"

test:
  before_script:
    - eval $(ssh-agent -s)
    - ssh-add <(echo "$SSH_PRIVATE_KEY_DEPLOY_DEV")
    - mkdir -p ~/.ssh data/ tmp/ logs/
    - '[[ -f /.dockerenv ]] && echo -e "Host *\n\tStrictHostKeyChecking no\n\n" > ~/.ssh/config'
    - sed -i.orig -e's#<policy domain="coder" rights="none" pattern="PDF" />#<policy domain="coder" rights="read" pattern="PDF" />#' "/etc/ImageMagick-6/policy.xml"
  script:
    - date +"%T"
    - if [ ! -f vendor/phpunit/phpunit/phpunit ]; then composer install; fi
    - composer dump-autoload
    - date +"%T"
    - vendor/phpunit/phpunit/phpunit --colors=never --testdox --coverage-text --coverage-html coverage-output/ --log-junit=logs/junit.xml --coverage-clover=logs/coverage.xml
    - date +"%T"
    - /opt/sonar-scanner/bin/sonar-scanner -Dsonar.login=$SONAR_TOKEN
    - date +"%T"
    - cd $PWD/coverage-output/ && zip -q -r $PWD/coverage.file-validator.zip .
    - scp -P $SSH_PORT_DEPLOY_DEV $PWD/coverage.file-validator.zip $URL_DEPLOY_DEV:$DEPLOY_DIR
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo rm -rf $DEPLOY_DIR/webroot/coverage/file-validator"
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo unzip -q -o $DEPLOY_DIR/coverage.file-validator.zip -d $DEPLOY_DIR/webroot/coverage/file-validator"
    - ssh -p $SSH_PORT_DEPLOY_DEV $URL_DEPLOY_DEV "sudo rm -fr $DEPLOY_DIR/coverage.file-validator.zip"
  coverage: '/^ *Lines: *\d+\.\d+%/'
